SDL_EnumerateStorageDirectory(3)

NAME
SDL_EnumerateStorageDirectory - Enumerate a directory in a storage container through a callback function.

SYNOPSIS
#include <SDL3/SDL_storage.h>

bool SDL_EnumerateStorageDirectory(SDL_Storage *storage, const char *path, SDL_EnumerateDirectoryCallback callback, void *userdata);

DESCRIPTION
This function provides every directory entry through an app-provided callback, called once for each directory entry, until all results have been provided or the callback returns either SDL_ENUM_SUCCESS or SDL_ENUM_FAILURE.

This will return false if there was a system problem in general, or if a callback returns SDL_ENUM_FAILURE. A successful return means a callback returned SDL_ENUM_SUCCESS to halt enumeration, or all directory entries were enumerated.

If path is NULL, this is treated as a request to enumerate the root of the storage container's tree. An empty string also works for this.

FUNCTION PARAMETERS

storage
    a storage container.

path
    the path of the directory to enumerate, or NULL for the root.

callback
    a function that is called for each entry in the directory.

userdata
    a pointer that is passed to callback.

RETURN VALUE
for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_StorageReady(3)